eventids1.c File Reference

Go to the source code of this file.

## Functions

static void | ripper_init_eventids1 (VALUE self)

## Variables

static ID | ripper_id_BEGIN
static ID | ripper_id_END
static ID | ripper_id_alias
static ID | ripper_id_alias_error
static ID | ripper_id_aref
static ID | ripper_id_aref_field
static ID | ripper_id_arg_ambiguous
static ID | ripper_id_arg_paren
static ID | ripper_id_args_add
static ID | ripper_id_args_add_block
static ID | ripper_id_args_add_star
static ID | ripper_id_args_new
static ID | ripper_id_array
static ID | ripper_id_assign
static ID | ripper_id_assign_error
static ID | ripper_id_assoc_new
static ID | ripper_id_assoclist_from_args
static ID | ripper_id_bare_assoc_hash
static ID | ripper_id_begin
static ID | ripper_id_binary
static ID | ripper_id_block_var
static ID | ripper_id_block_var_add_block
static ID | ripper_id_block_var_add_star
static ID | ripper_id_blockarg
static ID | ripper_id_bodystmt
static ID | ripper_id_brace_block
static ID | ripper_id_break
static ID | ripper_id_call
static ID | ripper_id_case
static ID | ripper_id_class
static ID | ripper_id_class_name_error
static ID | ripper_id_command
static ID | ripper_id_command_call
static ID | ripper_id_const_path_field
static ID | ripper_id_const_path_ref
static ID | ripper_id_const_ref
static ID | ripper_id_def
static ID | ripper_id_defined
static ID | ripper_id_defs
static ID | ripper_id_do_block
static ID | ripper_id_dot2
static ID | ripper_id_dot3
static ID | ripper_id_dyna_symbol
static ID | ripper_id_else
static ID | ripper_id_elsif
static ID | ripper_id_ensure
static ID | ripper_id_excessed_comma
static ID | ripper_id_fcall
static ID | ripper_id_field
static ID | ripper_id_for
static ID | ripper_id_hash
static ID | ripper_id_if
static ID | ripper_id_if_mod
static ID | ripper_id_ifop
static ID | ripper_id_lambda
static ID | ripper_id_magic_comment
static ID | ripper_id_massign
static ID | ripper_id_method_add_arg
static ID | ripper_id_method_add_block
static ID | ripper_id_mlhs_add
static ID | ripper_id_mlhs_add_star
static ID | ripper_id_mlhs_new
static ID | ripper_id_mlhs_paren
static ID | ripper_id_module
static ID | ripper_id_mrhs_add
static ID | ripper_id_mrhs_add_star
static ID | ripper_id_mrhs_new
static ID | ripper_id_mrhs_new_from_args
static ID | ripper_id_next
static ID | ripper_id_opassign
static ID | ripper_id_operator_ambiguous
static ID | ripper_id_param_error
static ID | ripper_id_params
static ID | ripper_id_paren
static ID | ripper_id_parse_error
static ID | ripper_id_program
static ID | ripper_id_qwords_add
static ID | ripper_id_qwords_new
static ID | ripper_id_redo
static ID | ripper_id_regexp_add
static ID | ripper_id_regexp_literal
static ID | ripper_id_regexp_new
static ID | ripper_id_rescue
static ID | ripper_id_rescue_mod
static ID | ripper_id_rest_param
static ID | ripper_id_retry
static ID | ripper_id_return
static ID | ripper_id_return0
static ID | ripper_id_sclass
static ID | ripper_id_stmts_add
static ID | ripper_id_stmts_new
static ID | ripper_id_string_add
static ID | ripper_id_string_concat
static ID | ripper_id_string_content
static ID | ripper_id_string_dvar
static ID | ripper_id_string_embexpr
static ID | ripper_id_string_literal
static ID | ripper_id_super
static ID | ripper_id_symbol
static ID | ripper_id_symbol_literal
static ID | ripper_id_top_const_field
static ID | ripper_id_top_const_ref
static ID | ripper_id_unary
static ID | ripper_id_undef
static ID | ripper_id_unless
static ID | ripper_id_unless_mod
static ID | ripper_id_until
static ID | ripper_id_until_mod
static ID | ripper_id_var_alias
static ID | ripper_id_var_field
static ID | ripper_id_var_ref
static ID | ripper_id_vcall
static ID | ripper_id_void_stmt
static ID | ripper_id_when
static ID | ripper_id_while
static ID | ripper_id_while_mod
static ID | ripper_id_word_add
static ID | ripper_id_word_new
static ID | ripper_id_words_add
static ID | ripper_id_words_new
static ID | ripper_id_xstring_add
static ID | ripper_id_xstring_literal
static ID | ripper_id_xstring_new
static ID | ripper_id_yield
static ID | ripper_id_yield0
static ID | ripper_id_zsuper

## Function Documentation

static void ripper_init_eventids1 | ( | VALUE | self | ) |

static

Definition at line 129 of file eventids1.c.

References id, ID2SYM, INT2NUM(), rb_define_const(), rb_hash_aset(), rb_hash_new(), rb_intern_const, ripper_id_alias, ripper_id_alias_error, ripper_id_aref, ripper_id_aref_field, ripper_id_arg_ambiguous, ripper_id_arg_paren, ripper_id_args_add, ripper_id_args_add_block, ripper_id_args_add_star, ripper_id_args_new, ripper_id_array, ripper_id_assign, ripper_id_assign_error, ripper_id_assoc_new, ripper_id_assoclist_from_args, ripper_id_bare_assoc_hash, ripper_id_BEGIN, ripper_id_begin, ripper_id_binary, ripper_id_block_var, ripper_id_block_var_add_block, ripper_id_block_var_add_star, ripper_id_blockarg, ripper_id_bodystmt, ripper_id_brace_block, ripper_id_break, ripper_id_call, ripper_id_case, ripper_id_class, ripper_id_class_name_error, ripper_id_command, ripper_id_command_call, ripper_id_const_path_field, ripper_id_const_path_ref, ripper_id_const_ref, ripper_id_def, ripper_id_defined, ripper_id_defs, ripper_id_do_block, ripper_id_dot2, ripper_id_dot3, ripper_id_dyna_symbol, ripper_id_else, ripper_id_elsif, ripper_id_END, ripper_id_ensure, ripper_id_excessed_comma, ripper_id_fcall, ripper_id_field, ripper_id_for, ripper_id_hash, ripper_id_if, ripper_id_if_mod, ripper_id_ifop, ripper_id_lambda, ripper_id_magic_comment, ripper_id_massign, ripper_id_method_add_arg, ripper_id_method_add_block, ripper_id_mlhs_add, ripper_id_mlhs_add_star, ripper_id_mlhs_new, ripper_id_mlhs_paren, ripper_id_module, ripper_id_mrhs_add, ripper_id_mrhs_add_star, ripper_id_mrhs_new, ripper_id_mrhs_new_from_args, ripper_id_next, ripper_id_opassign, ripper_id_operator_ambiguous, ripper_id_param_error, ripper_id_params, ripper_id_paren, ripper_id_parse_error, ripper_id_program, ripper_id_qwords_add, ripper_id_qwords_new, ripper_id_redo, ripper_id_regexp_add, ripper_id_regexp_literal, ripper_id_regexp_new, ripper_id_rescue, ripper_id_rescue_mod, ripper_id_rest_param, ripper_id_retry, ripper_id_return, ripper_id_return0, ripper_id_sclass, ripper_id_stmts_add, ripper_id_stmts_new, ripper_id_string_add, ripper_id_string_concat, ripper_id_string_content, ripper_id_string_dvar, ripper_id_string_embexpr, ripper_id_string_literal, ripper_id_super, ripper_id_symbol, ripper_id_symbol_literal, ripper_id_top_const_field, ripper_id_top_const_ref, ripper_id_unary, ripper_id_undef, ripper_id_unless, ripper_id_unless_mod, ripper_id_until, ripper_id_until_mod, ripper_id_var_alias, ripper_id_var_field, ripper_id_var_ref, ripper_id_vcall, ripper_id_void_stmt, ripper_id_when, ripper_id_while, ripper_id_while_mod, ripper_id_word_add, ripper_id_word_new, ripper_id_words_add, ripper_id_words_new, ripper_id_xstring_add, ripper_id_xstring_literal, ripper_id_xstring_new, ripper_id_yield, ripper_id_yield0, and ripper_id_zsuper.

## Variable Documentation

ID ripper_id_alias

static

Definition at line 3 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_alias_error

static

Definition at line 4 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_aref

static

Definition at line 5 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_aref_field

static

Definition at line 6 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_arg_ambiguous

static

Definition at line 7 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_arg_paren

static

Definition at line 8 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_args_add

static

Definition at line 9 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_args_add_block

static

Definition at line 10 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_args_add_star

static

Definition at line 11 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_args_new

static

Definition at line 12 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_array

static

Definition at line 13 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_assign

static

Definition at line 14 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_assign_error

static

Definition at line 15 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_assoc_new

static

Definition at line 16 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_assoclist_from_args

static

Definition at line 17 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_bare_assoc_hash

static

Definition at line 18 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_BEGIN

static

Definition at line 1 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_begin

static

Definition at line 19 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_binary

static

Definition at line 20 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_block_var

static

Definition at line 21 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_block_var_add_block

static

Definition at line 22 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_block_var_add_star

static

Definition at line 23 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_blockarg

static

Definition at line 24 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_bodystmt

static

Definition at line 25 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_brace_block

static

Definition at line 26 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_break

static

Definition at line 27 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_call

static

Definition at line 28 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_case

static

Definition at line 29 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_class

static

Definition at line 30 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_class_name_error

static

Definition at line 31 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_command

static

Definition at line 32 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_command_call

static

Definition at line 33 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_const_path_field

static

Definition at line 34 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_const_path_ref

static

Definition at line 35 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_const_ref

static

Definition at line 36 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_def

static

Definition at line 37 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_defined

static

Definition at line 38 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_defs

static

Definition at line 39 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_do_block

static

Definition at line 40 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_dot2

static

Definition at line 41 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_dot3

static

Definition at line 42 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_dyna_symbol

static

Definition at line 43 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_else

static

Definition at line 44 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_elsif

static

Definition at line 45 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_END

static

Definition at line 2 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_ensure

static

Definition at line 46 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_excessed_comma

static

Definition at line 47 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_fcall

static

Definition at line 48 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_field

static

Definition at line 49 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_for

static

Definition at line 50 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_hash

static

Definition at line 51 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_if

static

Definition at line 52 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_if_mod

static

Definition at line 53 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_ifop

static

Definition at line 54 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_lambda

static

Definition at line 55 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_magic_comment

static

Definition at line 56 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_massign

static

Definition at line 57 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_method_add_arg

static

Definition at line 58 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_method_add_block

static

Definition at line 59 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mlhs_add

static

Definition at line 60 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mlhs_add_star

static

Definition at line 61 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mlhs_new

static

Definition at line 62 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mlhs_paren

static

Definition at line 63 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_module

static

Definition at line 64 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mrhs_add

static

Definition at line 65 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mrhs_add_star

static

Definition at line 66 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mrhs_new

static

Definition at line 67 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_mrhs_new_from_args

static

Definition at line 68 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_next

static

Definition at line 69 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_opassign

static

Definition at line 70 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_operator_ambiguous

static

Definition at line 71 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_param_error

static

Definition at line 72 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_params

static

Definition at line 73 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_paren

static

Definition at line 74 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_parse_error

static

Definition at line 75 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_program

static

Definition at line 76 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_qwords_add

static

Definition at line 77 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_qwords_new

static

Definition at line 78 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_redo

static

Definition at line 79 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_regexp_add

static

Definition at line 80 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_regexp_literal

static

Definition at line 81 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_regexp_new

static

Definition at line 82 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_rescue

static

Definition at line 83 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_rescue_mod

static

Definition at line 84 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_rest_param

static

Definition at line 85 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_retry

static

Definition at line 86 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_return

static

Definition at line 87 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_return0

static

Definition at line 88 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_sclass

static

Definition at line 89 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_stmts_add

static

Definition at line 90 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_stmts_new

static

Definition at line 91 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_add

static

Definition at line 92 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_concat

static

Definition at line 93 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_content

static

Definition at line 94 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_dvar

static

Definition at line 95 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_embexpr

static

Definition at line 96 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_string_literal

static

Definition at line 97 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_super

static

Definition at line 98 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_symbol

static

Definition at line 99 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_symbol_literal

static

Definition at line 100 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_top_const_field

static

Definition at line 101 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_top_const_ref

static

Definition at line 102 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_unary

static

Definition at line 103 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_undef

static

Definition at line 104 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_unless

static

Definition at line 105 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_unless_mod

static

Definition at line 106 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_until

static

Definition at line 107 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_until_mod

static

Definition at line 108 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_var_alias

static

Definition at line 109 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_var_field

static

Definition at line 110 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_var_ref

static

Definition at line 111 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_vcall

static

Definition at line 112 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_void_stmt

static

Definition at line 113 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_when

static

Definition at line 114 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_while

static

Definition at line 115 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_while_mod

static

Definition at line 116 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_word_add

static

Definition at line 117 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_word_new

static

Definition at line 118 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_words_add

static

Definition at line 119 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_words_new

static

Definition at line 120 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_xstring_add

static

Definition at line 121 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_xstring_literal

static

Definition at line 122 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_xstring_new

static

Definition at line 123 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_yield

static

Definition at line 124 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_yield0

static

Definition at line 125 of file eventids1.c.

Referenced by ripper_init_eventids1().

ID ripper_id_zsuper

static

Definition at line 126 of file eventids1.c.

Referenced by ripper_init_eventids1().